@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville&family=Open+Sans&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap');

@import url(./components/cards.css);
@import url(./components/blockquotes.css);
@import url(./components/banners.css);
@import url(./components/nav.css);
@import url(./components/footer.css);

@font-face {
  font-family: 'JosefinSlab';
  src: url(../fonts/josefin-slab/JosefinSlab-Bold.ttf);
}

html {
  font-size: 16px;
  font-family: 'Poppins', sans-serif;
  scroll-behavior: smooth;
}

* {
  margin: 0;
  padding: 0;
}

body {
  background-color: #262626;
  font-weight: 400;
  line-height: 1.75;
}

p {margin-bottom: 1rem;}

h1, h2, h3, h4, h5 {
  margin: 3rem 0 1.38rem;
  font-weight: 400;
  line-height: 1.3;
  font-family: JosefinSlab;
}

h1 {
  margin-top: 0;
  font-size: 4.209rem;
}

h2 {font-size: 3.157rem;}

h3 {font-size: 2.369rem;}

h4 {font-size: 1.777rem;}

h5 {font-size: 1.333rem;}

small, .text_small {font-size: 0.75rem;}

a {
  text-decoration: none;
}

.container {
  width: 900px;
  margin: 0 auto;
}

.homepage {
  background-image: url('/img/coffee-beans-2-contrast.jpg');
  background-attachment: fixed;
  background-size: cover;
  background-repeat: no-repeat;
}

.homepage nav {
  grid-column: 1 / 1;
  grid-row: 1 / 1;
  justify-self: center;
  align-self: center;
  font-size: 2rem;
  color: white;
}

.homepage header {
  grid-column: 4 / 10;
  grid-row: 5/ 9;
  justify-self: center;
  align-self: center;
  color: white;
  text-shadow: 2px 2px 3px rgba(0, 0, 0, 0.5);
  font-family: JosefinSlab;
}

.arrow-container {
  grid-column: 6 / 8;
  grid-row: 10 / 12;
  align-self: center;
  justify-self: center;
  font-size: 3rem;
}

.arrow-container a {
  color: white;
}

.arrow-container i:hover, .homepage nav:hover {
  color: #b3b9c2;
  cursor: pointer;
}

.sec-full-height {
  height: 100vh;
}

.sec-height-70 {
  height: 70vh;
}

.sec-height-40 {
  height: 40vh;
}

.list-inline {
  list-style: none; 
  padding: 0;
}

.list-inline li {
  display: inline-block;
}

.card-white {
  background-color: white;
  display: flex;
  align-items: center;
  justify-content: space-around;
  position: relative;
}

#card-one::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url(/img/coffee-shop.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  opacity: 0.8;
  z-index: 1;
  transition: all .2s ease-in-out; 
}

#card-two::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url(/img/coffee-beans-two.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  opacity: 0.8;
  z-index: 1;
  transition: all .2s ease-in-out; 
}

#card-three::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.8;
  z-index: 1;
  background-image: url(/img/coffee-shop-two.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  transition: all .2s ease-in-out; 
}

#card-four::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.8;
  z-index: 1;
  background-image: url(/img/coffee-shop-three.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  transition: all .2s ease-in-out; 
}

#card-one:hover::before,
#card-two:hover::before,
#card-three:hover::before,
#card-four:hover::before {
  opacity: 1;
}

.card-white:hover {
  cursor: pointer;
}

.card-white h2 {
  color: white;
  text-shadow: 2px 2px 3px rgba(0, 0, 0, 0.5);
  z-index: 2;
}

.grid {
  display: grid;
}

.grid-col-12 {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: repeat(12, 1fr);
}

.flex {
  display: flex;
}

.flex-col {
  display: flex;
  flex-direction: column;
}

.justify-center {
  justify-content: center;
}

.align-center {
  align-items: center;
}

.txt-align-center {
  text-align: center;
}

.card-container-cols {
  grid-template-columns: repeat(2, 1fr);
  grid-column-gap: 2rem;
  grid-row-gap: 2rem;
}

/***** Media Queries *****/

@media (max-width: 960px) {
  .container {
    width: 700px;
  }

  p { font-size: 0.95rem; }
}

@media (max-width: 768px) {
  .container {
    width: 500px;
  }
}

@media (max-width: 540px) {
  .container {
    width: 350px;
  }

  p {margin-bottom: 1rem;}

  h1, h2, h3, h4, h5 {
    margin: 3rem 0 1.38rem;
    font-weight: 400;
    line-height: 1.3;
  }
  
  h1 {
    margin-top: 0;
    font-size: 3.052rem;
  }
  
  h2 {font-size: 2.441rem;}
  
  h3 {font-size: 1.953rem;}
  
  h4 {font-size: 1.563rem;}
  
  h5 {font-size: 1.25rem;}
  
  small, .text_small {font-size: 0.8rem;}

  .homepage header {
    grid-column: 2 / 12;
  }

  .homepage nav {
    grid-column: 1 / 3;
    grid-row: 1 / 3;
  }

  .img-banner { display: none; }
}